Validate an external storage configuration
ExternalStorageConfiguration admin().organization().externalStorage().validate(ExternalStorageValidateParamsparams = ExternalStorageValidateParams.none() , RequestOptionsrequestOptions = RequestOptions.none() )
POST
/organization/external_storage/{external_storage_id}/validateValidate an external storage configuration
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.admin.organization.externalstorage.ExternalStorageConfiguration;
import com.openai.models.admin.organization.externalstorage.ExternalStorageValidateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
ExternalStorageConfiguration externalStorageConfiguration = client.admin().organization().externalStorage().validate("extstorage_123");
}
}Response example
{
"object": "organization.external_storage",
"id": "extstorage_azure123",
"project_id": "proj_azure123",
"provider": {
"type": "azure",
"tenant_id": "11111111-1111-1111-1111-111111111111",
"subscription_id": "22222222-2222-2222-2222-222222222222",
"resource_group": "customer-rg",
"account_name": "customerstorage",
"container": "openai-data",
"region": "eastus"
},
"geography": "US",
"status": "validated",
"created_at": 1711471533
}
Returns Examples
Response example
{
"object": "organization.external_storage",
"id": "extstorage_azure123",
"project_id": "proj_azure123",
"provider": {
"type": "azure",
"tenant_id": "11111111-1111-1111-1111-111111111111",
"subscription_id": "22222222-2222-2222-2222-222222222222",
"resource_group": "customer-rg",
"account_name": "customerstorage",
"container": "openai-data",
"region": "eastus"
},
"geography": "US",
"status": "validated",
"created_at": 1711471533
}